Quote Originally Posted by sickness View Post
@HaVaNa7 the tutorial was made for BT 4 and also I don't think you have postgresql turned on.
@Jaylong I suggest a quick postgresql reinstall, it might solve it.
something wrong
Code:
apt-get remove --purge postgresql-8.3
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  sg3-utils libts-0.0-0 libdnet-raw libarchive1 libv4l-0 libgstreamer0.10-0 python-debian libcaca0 obex-data-server
  app-install-data python-gdata python-libxml2 liblircclient0 libxcb-xv0 libcamel1.2-14 libtrackerclient0 libgnome2-perl
  apt-xapian-index libfftw3-3 libsgutils1 libgvfscommon0 libsoup2.4-1 libwavpack1 libcdio7 python-gtkhtml2 libcdio-cdda0
  libgnome2-vfs-perl python-bittorrent python-sexy libxcb-shape0 python-xapian libwxbase2.8-0 freepats libaa1
  libedataserver1.2-11 libgtkhtml2-0 libshout3 libdv4 python-launchpad-integration libcdio-paranoia0 synaptic gnome-icon-theme
  libxvmc1 libmodplug0c2 liboil0.3 gvfs gvfs-backends libvisual-0.4-0 libnautilus-extension1 libxcb-shm0 librsvg2-common
  libcucul0 libgnome2-canvas-perl libvisual-0.4-plugins python-rdflib
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  postgresql* postgresql-8.3* unicornscan*
0 upgraded, 0 newly installed, 3 to remove and 1 not upgraded.
After this operation, 16.2MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 255192 files and directories currently installed.)
Removing unicornscan ...
Removing postgresql ...
Removing postgresql-8.3 ...
Stopping PostgreSQL 8.3 database server: main* Error: The cluster is owned by user id 118 which does not exist any more
 failed!
invoke-rc.d: initscript postgresql-8.3, action "stop" failed.
dpkg: error processing postgresql-8.3 (--purge):
 subprocess pre-removal script returned error exit status 1
install: invalid user `postgres'
invoke-rc.d: initscript postgresql-8.3, action "start" failed.
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 1
Processing triggers for man-db ...
Errors were encountered while processing:
 postgresql-8.3
E: Sub-process /usr/bin/dpkg returned an error code (1)
and then
Code:
  apt-get install postgresql-8.3
Reading package lists... Done
Building dependency tree
Reading state information... Done
postgresql-8.3 is already the newest version.
The following packages were automatically installed and are no longer required:
  sg3-utils libts-0.0-0 libdnet-raw libarchive1 libv4l-0 libgstreamer0.10-0 python-debian libcaca0 obex-data-server
  app-install-data python-gdata python-libxml2 liblircclient0 libxcb-xv0 libcamel1.2-14 libtrackerclient0 libgnome2-perl
  apt-xapian-index libfftw3-3 libsgutils1 libgvfscommon0 libsoup2.4-1 libwavpack1 libcdio7 python-gtkhtml2 libcdio-cdda0
  libgnome2-vfs-perl python-bittorrent python-sexy libxcb-shape0 python-xapian libwxbase2.8-0 freepats libaa1
  libedataserver1.2-11 libgtkhtml2-0 libshout3 libdv4 python-launchpad-integration libcdio-paranoia0 synaptic gnome-icon-theme
  libxvmc1 libmodplug0c2 liboil0.3 gvfs gvfs-backends libvisual-0.4-0 libnautilus-extension1 libxcb-shm0 librsvg2-common
  libcucul0 libgnome2-canvas-perl libvisual-0.4-plugins python-rdflib
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up postgresql-8.3 (8.3.8-0ubuntu8.10) ...
install: invalid user `postgres'
invoke-rc.d: initscript postgresql-8.3, action "start" failed.
dpkg: error processing postgresql-8.3 (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 postgresql-8.3
E: Sub-process /usr/bin/dpkg returned an error code (1)
do you have any idea?